---
- name: Configure unattended-upgrades service (Debian-based).
  when: ansible_facts['os_family'] == 'Debian'
  notify: "restart unattended-upgrades"
  block:
    - name: Install unattended-upgrades.
      ansible.builtin.package:
        name: unattended-upgrades
        state: present

    - name: Template out unattended-upgrades configuration files.
      ansible.builtin.template:
        src: "{{ item }}.j2"
        dest: "/etc/apt/apt.conf.d/{{ item }}"
        owner: root
        group: root
        mode: 0644
      loop:
        - 20auto-upgrades
        - 50unattended-upgrades

- name: Configure dnf-automatic service (RedHat-based).
  when: ansible_facts['os_family'] == 'RedHat'
  notify: "restart dnf-automatic"
  block:
    - name: Install automatic update utility.
      ansible.builtin.package:
        name: dnf-automatic
        state: present

    - name: Configure dnf-automatic file.
      ansible.builtin.lineinfile:
        dest: /etc/dnf/automatic.conf
        regexp: '^apply_updates = .*'
        line: 'apply_updates = yes'
        owner: root
        group: root
        mode: 0644
        state: present
